Bug 1601598 - gdm upgrade problem
Summary: gdm upgrade problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 19:47 UTC by Ray Strode [halfline]
Modified: 2018-10-30 10:28 UTC (History)
1 user (show)

Fixed In Version: gdm-3.28.2-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:00 UTC

Description Ray Strode [halfline] 2018-07-16 19:47:53 UTC
gdm-pam-extensions got renamed to gdm-pam-extensions-devel, so we need an obsoletes/provides to keep upgrades working:

Transaction check error:
  file /usr/lib64/pkgconfig/gdm-pam-extensions.pc from install of gdm-pam-extensions-devel-1:3.28.2-5.el7.x86_64 conflicts with file from package gdm-pam-extensions-1:3.26.2.1-3.el7.x86_64

Comment 1 Ray Strode [halfline] 2018-07-16 19:50:02 UTC
--- a/gdm.spec
+++ b/gdm.spec
@@ -12,3 +12,3 @@ Epoch: 1
 Version: 3.28.2
-Release: 5%{?dist}
+Release: 6%{?dist}
 Summary: The GNOME Display Manager
@@ -136,2 +136,4 @@ Group: Development/Libraries
 Requires: pam-devel
+Obsoletes: gdm-pam-extensions < 1:3.28.2-5
+Provides: gdm-pam-extensions = %{epoch}:%{version}-%{release}
 
@@ -352,2 +354,6 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
 %changelog
+* Mon Jul 16 2018 Ray Strode <rstrode@redhat.com> - 3.28.2-6
+- add gdm-pam-extension provides to fix upgrades
+  Resolves: #1601598
+

Comment 5 errata-xmlrpc 2018-10-30 10:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.